[20001] trunk/dports/net/moomps

source_changes at macosforge.org source_changes at macosforge.org
Mon Oct 9 18:03:27 PDT 2006


Revision: 20001
          http://trac.macosforge.org/projects/macports/changeset/20001
Author:   markd at macports.org
Date:     2006-10-09 18:03:27 -0700 (Mon, 09 Oct 2006)

Log Message:
-----------
Update to 5.7.

Modified Paths:
--------------
    trunk/dports/net/moomps/Portfile
    trunk/dports/net/moomps/files/patch-moomps.sh

Removed Paths:
-------------
    trunk/dports/net/moomps/files/patch-Makefile

Modified: trunk/dports/net/moomps/Portfile
===================================================================
--- trunk/dports/net/moomps/Portfile	2006-10-10 00:55:37 UTC (rev 20000)
+++ trunk/dports/net/moomps/Portfile	2006-10-10 01:03:27 UTC (rev 20001)
@@ -2,9 +2,9 @@
 PortSystem      1.0
 
 name                    moomps
-version                 5.6
+version                 5.7
 categories              net
-maintainers             markd at opendarwin.org
+maintainers             markd at macports.org
 
 description             Modular Object Oriented Multi-Purpose Service - A monitoring daemon \
 			that uses configuration files created by moodss.
@@ -19,11 +19,10 @@
 homepage                http://moodss.sourceforge.net/
 platforms               darwin
 master_sites            sourceforge:moodss
-checksums               md5 f2cf3e281df6e004889672dc11b1d505
+checksums               md5 47d3f8c78b5d99c7b95893e14c12fade
 use_bzip2		yes
 
-patchfiles		patch-Makefile \
-			patch-moomps.sh
+patchfiles		patch-moomps.sh
 
 depends_lib             port:moodss \
 			port:tclx
@@ -41,25 +40,32 @@
         depends_lib-append      port:mysqltcl
 }
 
-use_configure		no
+use_configure	no
+build {}
 
-set moompsdir ${prefix}/share/moomps
-
-post-patch {
-# Set install paths for DarwinPorts
-        reinplace "s|__DESTROOT__|${destroot}|g" \
-                "${worksrcpath}/Makefile"
-
-        reinplace "s|__PREFIX__|${prefix}|g" \
-                ${worksrcpath}/Makefile \
-		${worksrcpath}/moomps.sh
-}
-
 pre-build {
         adduser moomps
         addgroup moomps
 }
 
+destroot {
+	system "make \
+			ROOTDIR=${destroot} \
+			TCLSH=${prefix}/bin/tclsh \
+			SBINDIR=${prefix}/sbin \
+			LIBDIR=${prefix}/lib \
+			MANDIR=${prefix}/share/man \
+			DOCDIR=${prefix}/share/doc \
+			MOODSSLIBDIR=${prefix}/lib/moodss \
+			ETCDIR=${prefix}/etc \
+			DATADIR=${prefix}/share/moomps/moofiles \
+			INITDIR=${prefix}/share/moomps \
+			MANDIR=${prefix}/share/man \
+			DOCDIR=${prefix}/share/doc \
+			MOOMPSRCFILE=${prefix}/etc/moomps/rc \
+		install"
+}
+
 post-destroot {
 	xinstall -m 755 -d ${destroot}${prefix}/share/moomps/moofiles
         xinstall -m 755 -d ${destroot}${prefix}/var/lock
@@ -73,7 +79,7 @@
 
 post-activate {
 ui_msg "\n
-You must place your moodss files (.moo) in the following path:
+You must place your moodss files (.moo) in this path:
 
 	${prefix}/share/moomps/moofiles
 

Deleted: trunk/dports/net/moomps/files/patch-Makefile
===================================================================
--- trunk/dports/net/moomps/files/patch-Makefile	2006-10-10 00:55:37 UTC (rev 20000)
+++ trunk/dports/net/moomps/files/patch-Makefile	2006-10-10 01:03:27 UTC (rev 20001)
@@ -1,42 +0,0 @@
---- Makefile.org	2006-05-04 21:06:18.000000000 -0700
-+++ Makefile	2006-05-04 21:06:30.000000000 -0700
-@@ -5,28 +5,28 @@
- 
- # note: TCLSH and WISH must include path as they are used
- # as shell interpreters inside scripts (using the #! syntax)
--TCLSH = /usr/bin/tclsh
-+TCLSH = __PREFIX__/bin/tclsh
- 
- # only use as the temporary installation directory, such as from a rpm
- # specification file, otherwise change the directories below instead:
--ROOTDIR =
-+ROOTDIR = __DESTROOT__
- 
- # you may change the directories below:
- BASEDIR =
--LIBDIR = $(BASEDIR)/usr/lib
--SBINDIR = $(BASEDIR)/usr/sbin
--ETCDIR = $(BASEDIR)/etc
-+LIBDIR = __PREFIX__/lib
-+SBINDIR = __PREFIX__/sbin
-+ETCDIR = __PREFIX__/etc
- # where the dashboards should be according to the Filesystem Hierarchy Standard:
--DATADIR = $(BASEDIR)/srv
--INITDIR = $(BASEDIR)/etc/rc.d/init.d
--MANDIR = $(BASEDIR)/usr/share/man
--DOCDIR = $(BASEDIR)/usr/share/doc
--MOODSSLIBDIR = $(LIBDIR)/moodss
-+DATADIR = __PREFIX__/share/moomps/moofiles
-+INITDIR = __PREFIX__/share/moomps
-+MANDIR = __PREFIX__/share/man
-+DOCDIR = __PREFIX__/share/doc
-+MOODSSLIBDIR = __PREFIX__/lib/moodss
- # where the modules will be finally installed (useful in rpm specification):
- MODULESDIR = $(MOODSSLIBDIR)
- MOOMPSDOCDIR = $(DOCDIR)/moomps-$(VERSION)
- MOOMPSHTMLDIR = $(MOOMPSDOCDIR)
--MOOMPSRCFILE = $(ETCDIR)/moomps/rc
-+MOOMPSRCFILE = __PREFIX__/etc/moomps/rc
- 
- 
- ### You should not need to change anything below this line ###

Modified: trunk/dports/net/moomps/files/patch-moomps.sh
===================================================================
--- trunk/dports/net/moomps/files/patch-moomps.sh	2006-10-10 00:55:37 UTC (rev 20000)
+++ trunk/dports/net/moomps/files/patch-moomps.sh	2006-10-10 01:03:27 UTC (rev 20001)
@@ -1,35 +1,22 @@
---- moomps.sh.org	2006-04-10 13:00:53.000000000 -0700
-+++ moomps.sh	2006-05-04 22:37:44.000000000 -0700
-@@ -14,16 +14,16 @@
- # config: /etc/moomps/rc
- # pidfile: /var/run/moomps.pid
+--- moomps.sh.org	2006-10-01 10:13:22.000000000 -0700
++++ moomps.sh	2006-10-01 13:13:11.000000000 -0700
+@@ -14,8 +14,8 @@
+ # config: $MOOMPSRCFILE
+ # pidfile: $PIDFILE
  
 -PATH=/sbin:/bin:/usr/bin:/usr/sbin
 -. /etc/init.d/functions
 +#PATH=/sbin:/bin:/usr/bin:/usr/sbin
 +#. /etc/init.d/functions
  
--[ -f /usr/sbin/moomps ] || exit 1
--[ -d /etc/moomps ] || exit 1
--[ -d /srv/moomps ] || exit 1
-+#[ -f __PREFIX__/sbin/moomps ] || exit 1
-+#[ -d __PREFIX__/etc/moomps ] || exit 1
-+#[ -d __PREFIX__/var/moomps ] || exit 1
- 
- return=0
--lockfile=/var/lock/subsys/moomps
--pidfile=/var/run/moomps.pid
-+lockfile=__PREFIX__/var/lock/moomps
-+pidfile=__PREFIX__/var/run/moomps.pid
- 
- 
- start(){
+ [ -f $SBINDIR/moomps ] || exit 1
+ [ -d `dirname $MOOMPSRCFILE` ] || exit 1
 @@ -31,7 +31,7 @@
      touch $pidfile
      chown moomps $pidfile
      # load all configuration files from directory and use process ID file:
--    daemon --user moomps /usr/sbin/moomps --pid-file $pidfile /srv/moomps/
-+    __PREFIX__/sbin/moomps --pid-file $pidfile __PREFIX__/share/moomps/moofiles
+-    daemon --user moomps $SBINDIR/moomps --pid-file $pidfile -r $MOOMPSRCFILE $DATADIR/moomps
++    $SBINDIR/moomps --pid-file $pidfile -r $MOOMPSRCFILE $DATADIR/moomps/moofiles
      return=$?
      echo
      [ $return -eq 0 ] && touch $lockfile

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.macosforge.org/pipermail/macports-changes/attachments/20061009/1e24a160/attachment.html


More information about the macports-changes mailing list